RangeQueryNode (Lucene 3.6.2 API)
Keywords: org.apache.lucene.queryParser.standard.nodes.RangeQueryNode class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.standard.nodes
Class RangeQueryNode

    java.lang.Object
      org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
          org.apache.lucene.queryParser.standard.nodes.AbstractRangeQueryNode<FieldQueryNode>
              org.apache.lucene.queryParser.standard.nodes.TermRangeQueryNode
                  org.apache.lucene.queryParser.standard.nodes.RangeQueryNode

All Implemented Interfaces:
  Serializable, Cloneable, FieldableNode, QueryNode, RangeQueryNode<FieldValuePairQueryNode<?>>

Deprecated. this class will be removed in future, `TermRangeQueryNode` should be used instead

    @Deprecated
    public class RangeQueryNode

extends TermRangeQueryNode

This query node represents a range query. It also holds which collator will be used by the range query and if the constant score rewrite is enabled.

See Also:
  `ParametricRangeQueryNodeProcessor`, `StandardQueryConfigHandler.ConfigurationKeys.RANGE_COLLATOR`, `TermRangeQuery`, Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
`PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

Constructor Summary
`RangeQueryNode(ParametricQueryNode lower, ParametricQueryNode upper, Collator collator)` Deprecated.

Method Summary
`Collator` | `getCollator()` Deprecated.
`ParametricQueryNode` | `getLowerBound()` Deprecated. Returns the lower bound node.
`ParametricQueryNode` | `getUpperBound()` Deprecated. Returns the upper bound node.
`void` | `setBounds(FieldQueryNode lower, FieldQueryNode upper, boolean lowerInclusive, boolean upperInclusive)` Deprecated. Sets lower and upper bounds.
`String` | `toString()` Deprecated. Every implementation of this class should return pseudo xml like this: For FieldQueryNode:

Methods inherited from class org.apache.lucene.queryParser.standard.nodes.AbstractRangeQueryNode
`getField, isLowerInclusive, isUpperInclusive, setField, toQueryString`

Methods inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
`add, add, allocate, clone, cloneTree, containsTag, containsTag, getChildren, getParent, getTag, getTag, getTagMap, getTags, isDefaultField, isLeaf, isRoot, set, setLeaf, setTag, setTag, unsetTag, unsetTag`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.lucene.queryParser.core.nodes.QueryNode
`add, add, cloneTree, containsTag, containsTag, getChildren, getParent, getTag, getTag, getTagMap, getTags, isLeaf, set, setTag, setTag, unsetTag, unsetTag`

Constructor Detail

### RangeQueryNode

    public RangeQueryNode(ParametricQueryNode lower,
                          ParametricQueryNode upper,
                          Collator collator)

  Deprecated.
  Parameters:
    `lower` -
    `upper` -

Method Detail

### getLowerBound

    public ParametricQueryNode getLowerBound()

  Deprecated.
  Description copied from class: `AbstractRangeQueryNode`
  Returns the lower bound node.

  Specified by:
    `getLowerBound` in interface `RangeQueryNode<FieldValuePairQueryNode<?>>`
  Overrides:
    `getLowerBound` in class `AbstractRangeQueryNode<FieldQueryNode>`
  Returns:
    the lower bound node.

### getUpperBound

    public ParametricQueryNode getUpperBound()

  Deprecated.
  Description copied from class: `AbstractRangeQueryNode`
  Returns the upper bound node.

  Specified by:
    `getUpperBound` in interface `RangeQueryNode<FieldValuePairQueryNode<?>>`
  Overrides:
    `getUpperBound` in class `AbstractRangeQueryNode<FieldQueryNode>`
  Returns:
    the upper bound node.

### setBounds

    public void setBounds(FieldQueryNode lower,
                          FieldQueryNode upper,
                          boolean lowerInclusive,
                          boolean upperInclusive)

  Deprecated.
  Sets lower and upper bounds. The method signature expects `FieldQueryNode` objects as lower and upper, however, an `IllegalArgumentException` will be thrown at runtime if a non `ParametricQueryNode` is passed as lower and upper.

  Overrides:
    `setBounds` in class `AbstractRangeQueryNode<FieldQueryNode>`
  Parameters:
    `lower` - a `ParametricQueryNode` object
    `upper` - a `ParametricQueryNode` object
    `lowerInclusive` - `true` if lower bound is inclusive, otherwise, `false`
    `upperInclusive` - `true` if upper bound is inclusive, otherwise, `false`
  Throws:
    `IllegalArgumentException` - if lower or upper are not instance of `ParametricQueryNode`
  See Also:
    `AbstractRangeQueryNode.setBounds(T, T, boolean, boolean)`

### toString

    public String toString()

  Deprecated.
  Description copied from class: `QueryNodeImpl`
  Every implementation of this class should return pseudo xml like this: For FieldQueryNode:

  Specified by:
    `toString` in interface `QueryNode`
  Overrides:
    `toString` in class `QueryNodeImpl`
  See Also:
    `QueryNode.toString()`

### getCollator

    public Collator getCollator()

  Deprecated.
  Returns:
    the collator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD